org.apache.myfaces.trinidad.resource

## Class AggregatingResourceLoader.AggregatingURLStreamHandler

- java.lang.Object
- - java.net.URLStreamHandler
  - - org.apache.myfaces.trinidad.resource.AggregatingResourceLoader.AggregatingURLStreamHandler

- Enclosing class:
    AggregatingResourceLoader

      public class AggregatingResourceLoader.AggregatingURLStreamHandler
      extends URLStreamHandler

  This is a Stream Handler which can be used to construct a URL that is an Aggregate of a list of other urls.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregatingResourceLoader.AggregatingURLStreamHandler(URL[] urls)` Constructs and AggregatingURLStreamHandler from an array of URLs containing other data.
    `AggregatingResourceLoader.AggregatingURLStreamHandler(URL[] urls, String separator)` Constructs and AggregatingURLStreamHandler from an array of URLs containing other data.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected URLConnection` | `openConnection(URL u)` Opens a connection containing all of the data from the provided urls.

    - ### Methods inherited from class java.net.URLStreamHandler

      `equals, getDefaultPort, getHostAddress, hashCode, hostsEqual, openConnection, parseURL, sameFile, setURL, setURL, toExternalForm`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregatingResourceLoader.AggregatingURLStreamHandler

          public AggregatingResourceLoader.AggregatingURLStreamHandler(URL[] urls)

      Constructs and AggregatingURLStreamHandler from an array of URLs containing other data. This constructor assumes a null separator.
      Parameters:
        `urls` - the urls

    - #### AggregatingResourceLoader.AggregatingURLStreamHandler

          public AggregatingResourceLoader.AggregatingURLStreamHandler(URL[] urls,
                                                               String separator)

      Constructs and AggregatingURLStreamHandler from an array of URLs containing other data.
      Parameters:
        `urls` - the urls
        `separator` - a String containing a separator. This will typically be an newline character or null.

  - ### Method Detail

    - #### openConnection

          protected URLConnection openConnection(URL u)
                                          throws IOException

      Opens a connection containing all of the data from the provided urls. The seperator character, if one is provided, will seperate the content of each seperate stream.
      Specified by:
        `openConnection` in class `URLStreamHandler`
      Parameters:
        `u` - the parent URL object
      Returns:
        a URLConnection
      Throws:
        `IOException` - when something bad happens

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.